Skip to content

Archive contact

Request

You can archive a single contact.

Security
bearerAuth
Path
idstringrequired

id

Example:63a07ddf05a32042dffac965
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X POST \
  https://api.intercom.io/contacts/63a07ddf05a32042dffac965/archive \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

successful

Bodyapplication/json
typestring

always contact

Value:"contact"
Example:"contact"
idstring

The unique identifier for the contact which is given by Intercom.

Example:"5ba682d23d7cf92bef87bfd4"
external_idstring or null

The unique identifier for the contact which is provided by the Client.

Example:"f3b87a2e09d514c6c2e79b9a"
archivedboolean

Whether the contact is archived or not.

Example:true
Response
{ "id": "6657aaf26abd0164c24b0d30", "object": "contact", "archived": true }